<ng-container *ngIf="opened">
    <div class="dialog-modal">
        <div class="dialog-modal-body">
            <h1 *ngIf="title">
                {{title}}
            </h1>
            <p *ngIf="description">
                {{description}}
            </p>
            <div class="dialog-modal-buttons">
                <ui-button
                    [light]="true"
                    [text]="abortButtonText"
                    (isClicked)="close()"
                ></ui-button>
                <ui-button
                    [text]="confirmButtonText"
                    (isClicked)="confirm()"
                ></ui-button>                
            </div>
        </div>
    </div>
    <div class="dialog-background"></div>    
</ng-container>
